
/*
 * XKOBO, a video-oriented game
 * Copyright (C) 1995,1996  Akira Higuchi
 *     a-higuti@math.hokudai.ac.jp
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 */

#ifndef _SKOBO_H_
#define _SKOBO_H_

#include "graphics/gfxengine.h"
#include "graphics/window.h"
#include "graphics/display.h"

extern window_t wchip;
extern window_t wbase;
extern window_t wradar;

extern display_t dhigh;
extern display_t dscore;
extern display_t dstage;
extern display_t dships;

extern int mouse_x, mouse_y;
extern int cheat_mode;
extern int indicator;
extern "C"
{
	extern unsigned char spdata[];
}
extern int use_special_bgm;


class skobo_gfxengine_t : public gfxengine_t
{
	void frame();
	void pre_render();
	void post_render();
};

/* Sprite priority levels */
#define	LAYER_OVERLAY	0	//Not yet in use
#define	LAYER_PLAYER	1
#define	LAYER_ENEMIES	2
#define	LAYER_BASES	3	//Not yet in use
#define	LAYER_GROUND	4	//Not yet in use
#define	LAYER_STARS	5	//Not yet in use

/* Graphics banks */
#define	B_GRAPHICS	0
#define	B_BULLETS	1
#define	B_BIGSHIP	2
#define	B_SCREEN	16
#define	B_FRAME		17
#define	B_LOGO		18
#define	B_NORMAL_FONT	32

#define	INTRO_SCENE	-100

extern skobo_gfxengine_t gengine;

#endif // _SKOBO_H_
